# Screenshot ## Get screenshot. **post** `/accounts/{account_id}/browser-rendering/screenshot` Takes a screenshot of a webpage from provided URL or HTML. Control page loading with `gotoOptions` and `waitFor*` options. Customize screenshots with `viewport`, `fullPage`, `clip` and others. ### Path Parameters - `account_id: string` Account ID. ### Query Parameters - `cacheTTL: optional number` Cache TTL default is 5s. Set to 0 to disable. ### Body Parameters - `body: object { html, actionTimeout, addScriptTag, 19 more } or object { url, actionTimeout, addScriptTag, 19 more }` - `object { html, actionTimeout, addScriptTag, 19 more }` - `html: string` Set the content of the page, eg: `

Hello World!!

`. Either `html` or `url` must be set. - `actionTimeout: optional number` The maximum duration allowed for the browser action to complete after the page has loaded (such as taking screenshots, extracting content, or generating PDFs). If this time limit is exceeded, the action stops and returns a timeout error. - `addScriptTag: optional array of object { id, content, type, url }` Adds a `